Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885234 - [RFE] Provisioning with disk requires storage_pod
Summary: [RFE] Provisioning with disk requires storage_pod
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible Collection
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: 6.10.0
Assignee: Evgeni Golov
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 13:37 UTC by Luka Bac
Modified: 2021-05-31 10:22 UTC (History)
3 users (show)

Fixed In Version: ansible-collection-redhat-satellite-2.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github theforeman foreman-ansible-modules pull 1154 0 None open lookup storage domains and pods 2021-02-24 14:57:11 UTC

Description Luka Bac 2020-10-05 13:37:03 UTC
Description of problem:
When provisioning a new host, we need to specify a storage_pod or datastore to place the hard disk into.

redhat.satellite.host:
  [...]
  compute_attributes:
    volumes_attributes:
      '0':
        size_gb: '42'
        storage_pod: STORAGE_POD_NAME

However, we should allow the provider (VMware in this case) to give us a storage_pod to use for our cluster/datacenter.

If this is not feasible, then the collection should provide a facility to query for available storage_pods in the current compute_resource, similar to the https://satellite.server.com/api/compute_resources/:id/available_storage_pods API endpoint.


Example output of `hammer compute-resource storage-pods --id 1`
------------|---------
ID          | NAME    
------------|---------
group-p123  | DC-01-01
group-p234  | DC-01-02
------------|---------
Version-Release number of selected component (if applicable): 1.3.0


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Evgeni Golov 2021-03-08 12:04:27 UTC
upstream PR merged


Note You need to log in before you can comment on or make changes to this bug.